#!/bin/sh
CURRENT_HOME=`pwd`
# default FP release version 2.2.0.11
FP_RELEASE="2.2.0.11"
showReportFlag="false"
arg1=$1
agr2=$2
validateArg()
{
	if [ "$arg1" = "" ]; then
		echo "usage:"
		echo "fit.bat -showReport true|false"
		exit 1
	fi
	if [ "$arg1" = "-showReport" ]; then
		showReportFlag=true
		export showReportFlag
	else
		FP_RELEASE=$arg1
		showReportFlag="false"
		export showReportFlag
		export FP_RELEASE
	fi
}
setTIPHome()
{

    CUR_DIR=`pwd`
    TIP_DIR=`dirname ${0}`/../../
    cd ${TIP_DIR}
    TIP_PROFILE=`pwd`
    cd ${CUR_DIR}        
    cd ${TIP_DIR}/../..
    TIP_HOME=`pwd`
    cd ${CUR_DIR}
    export TIP_HOME
    export TIP_PROFILE

}
displayReport()
{
	if [ "$showReportFlag" = "true" ]; then
		cat $TIP_HOME/logs/fit_report.txt
	fi
}
####################### main ########################
validateArg
setTIPHome
JAVA_HOME=$TIP_HOME/java/jre/
FIT_HOME=$TIP_HOME/profiles/TIPProfile/etc/fit
JAVA_CMD=$JAVA_HOME/bin/java
$JAVA_HOME/bin/java "-DTIP_HOME=$TIP_HOME" "-DFP_RELEASE=$FP_RELEASE" "-Dtiphome=$TIP_HOME" -classpath "$FIT_HOME/FIT.jar" com.ibm.tivoli.tip.install.common.util.fit.TipFIT
rm -rf plannedProductUpgrades_tip$FP_RELEASE.txt 2>/dev/null 1>/dev/null
firRC=`tail -1 $TIP_HOME/logs/fit_RC.txt`
displayReport
exit $firRC
